geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim McConnell <tim.mcco...@gmail.com>
Subject Re: NullPointerException "Could not publish to Server" from Eclipse
Date Fri, 01 Aug 2008 19:34:36 GMT
Hi Ziplies, If you've already tried with a 1.5 JRE then I'll walk you through the 
same steps (I did with Dave) to uncover your problem. I'll need to get a zipped 
version of your Eclipse installation directory, which we don't want to exchange 
via this mailing list. So, I'll contact you offline so we can work out the 
details of this exchange. This may seem like an odd request, but it'll save us a 
LOT of time, and hopefully some frustration on your part. Thanks....

Ziplies wrote:
> Hi,
> 
> I am currently having the exact same problem as described here. Of course I
> read and tried everything with Java5 but nothing changed. The only
> difference I have is that I use Eclipse Ganymede with GEP2.1.1. 
> Referencing the Server, geronimo-tomcat.2.1.1, works fine. It starts, I can
> access it, the console, everything wonderful.
> 
> But if I create a dynweb-project it does not create the geronimo-web.xml and
> throws NullPointerExceptions if I try to deploy to the server, even if if
> create the geronimo-web.xml myself.
> 
> I tried to be clever and downloaded and extracted eclipse 3.3.2. Installed
> WTP and so on over the Update Sites and wanted to again create a DynWeb
> Project. But the same thing happened. No geronimo-web.xml but Server gets
> connected correctly and starts and everything.
> 
> I tried several Eclipse Versions, clean installs, clean workspaces, no old
> plugins, metadata or configurations. I hope anybody can help me, because I
> am trying for three days know and my nerves are on the bring of collapse.
> 
> I thank anyone in advance. If more information is needed, just ask!
> 
> 
> Regards
> 
> 
> 
> Tim McConnell-2 wrote:
>> Hello everyone, after working with Dave off-line over the weekend we
>> discovered 
>> that he was using Java 1.6 instead of Java 1.5. Once he switched to Java
>> 1.5 the 
>> GEP starting functioning as designed. It seems that we can probably be
>> more clear 
>> about this in our GEP documentation. For example, we say that we prereq
>> Java 1.5, 
>> but we don't explicitly state that we do not yet support Java 1.6. I shall
>> open a 
>> documentation JIRA to make these changes. Thanks everyone for
>> assisting......
>>
>> Dave Syer wrote:
>>> I can't start any web apps from Eclipse (Europa + GEP 2.1.1).  Even a
>>> basic
>>> HelloWorld application created from File->New... has the same problem. 
>>> An
>>> error shows up in Eclipse's errors view:
>>>
>>> java.lang.NullPointerException
>>> 	at
>>> org.apache.geronimo.st.core.internal.DependencyHelper.getEnvironment(DependencyHelper.java:353)
>>> 	at
>>> org.apache.geronimo.st.core.internal.DependencyHelper.reorderModules(DependencyHelper.java:97)
>>> 	at
>>> org.apache.geronimo.st.core.GeronimoServerBehaviourDelegate.publishModules(GeronimoServerBehaviourDelegate.java:216)
>>> 	at
>>> org.eclipse.wst.server.core.model.ServerBehaviourDelegate.publish(ServerBehaviourDelegate.java:669)
>>> 	at
>>> org.eclipse.wst.server.core.internal.Server.doPublish(Server.java:887)
>>> 	at org.eclipse.wst.server.core.internal.Server.publish(Server.java:874)
>>> 	at
>>> org.eclipse.wst.server.core.internal.PublishServerJob.run(PublishServerJob.java:72)
>>> 	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
>>>
>>>
>>> Anyone know where that comes from?  How to fix it?
>>>
>>> The server is running (I can visit its home page and log into the admin
>>> console and everything).
>> -- 
>> Thanks,
>> Tim McConnell
>>
>>
> 

-- 
Thanks,
Tim McConnell

Mime
View raw message